Untitled Document
Results 1 to 4 of 4

Thread: FedEx new communication requirements

  1. #1
    I got this from FedEx today I just want to verify that ShipRush for FedEx V9 is compliant.

    FedEx proactively enables, promotes and elevates secure automation transaction technology and communication protocol standards. As part of our commitment to ensuring strong encryption standards within SSL/TLS and code-signing certificates, on January 30, 2016, FedEx will be updating our encryption and communication protocol requirements. These new enhancements include the upgrade of our certificates to SHA-256 and only supporting TLS protocol connections; as well as, the disablement of SSLv3 protocol.

    Our updated requirements reflect the new and more secure industry standards of SHA-256 (SHA-2) encryption and TLS protocol, which are in line with a broader industry shift in how browsers and websites encrypt traffic to protect the contents of online communications.

  2. #2

    Join Date
    Apr 2004
    Posts
    16,924
    SYSOPS is offline
    If you are on v11 of ShipRush, you are already covered. We made a change to this about 6 months ago due to the SSL "Poodle" vulnerabilities that came to light.

    HTH,
    SYSOPS
    Have Questions? Ask the ShipRush Knowledge Base: https://shiprush.com/kbase
    Reply With Quote

  3. #3
    Unfortunately I am not yet on v11 as my software vendor has not verified that it is compatible with my DB software. I am on V9 as I had mentioned does this mean I need to upgrade to v11 to continue using shiprush for FedEx?

  4. #4

    Join Date
    Apr 2004
    Posts
    16,924
    SYSOPS is offline
    Sorry, I read that as FedEx v9 (as if it was a version stamp for their new SSL\TLS requirements).

    I am on V9 as I had mentioned does this mean I need to upgrade to v11 to continue using shiprush for FedEx?
    Yes it will require an upgrade to at least v10.3 of ShipRush. That is the only non v11 build that we re-worked the communication method for the new TLS requirements.

    v10.3 is available here:
    http://shiprush.com/obsolete-downloads

    SYSOPS
    Have Questions? Ask the ShipRush Knowledge Base: https://shiprush.com/kbase
    Reply With Quote

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •